#!/bin/bash

# ------------------------------------------------------------
# download initial VM for
#
#       OpenSecurity V0.2.8
#
# (C)opyright 2014, AIT Austrian Instiitute of Technology
# ------------------------------------------------------------

# ------------------------------------------------------------
# code


# download the ionitial OsecVM.ova from the X-Net servers
# and place the file in the folder specified by ${1}


# ------------------------------
# main ...
#

# check if we do have elevated rights
# that is "Run as Administrator" invocation
id -G | grep 544 &> /dev/null
if [ "${?}" != 0 ]; then
    echo "Insufficient privileges. Is this script executed with 'Run As Administrator'?"
    echo "I'll try anyway..."
fi

TARGET_FOLDER="${1}"
echo "fetching OpenSecurity initial VM at " $(date)
echo "target folder: ${TARGET_FOLDER}"

# sanity check
mkdir -p "${TARGET_FOLDER}" 
if [ ! -d "${TARGET_FOLDER}" ]; then
    echo "failed to access target folder."
    exit 1
fi

# start download
URL="http://service.x-net.at/opensecurity/OsecVM_latest.ova"
wget --progress=dot:mega ${URL} -O "${TARGET_FOLDER}"/OsecVM.ova


